Page 1 of 1

Error installing package mint-meta-codecs

Posted: Sat Aug 22, 2020 11:33 pm
by SweetBearCub
Linux Mint 20 Ulyana, Cinnamon, x64

Trying to install the optional media codecs in Mint, and this is what I get. What is going wrong, and how do I fix it?

Code: Select all

sudo apt install mint-meta-codecs
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mint-meta-codecs : Depends: libavcodec-extra but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Re: Error installing package mint-meta-codecs

Posted: Sun Aug 23, 2020 2:39 am
by smurphos
Hi, can you report the output of these commands run in a terminal.

Code: Select all

inxi -Srxxxz
&

Code: Select all

apt policy libavcodec-extra
&

Code: Select all

apt policy

Re: Error installing package mint-meta-codecs

Posted: Sun Aug 23, 2020 2:53 am
by SweetBearCub
As requested.

Code: Select all

inxi -Srxxxz
System:    Kernel: 5.4.0-42-generic x86_64 bits: 64 compiler: gcc v: 9.3.0 Desktop: Cinnamon 4.6.7 wm: muffin 4.6.3 
           dm: LightDM 1.30.0 Distro: Linux Mint 20 Ulyana base: Ubuntu 20.04 focal 
Repos:     No active apt repos in: /etc/apt/sources.list 
           Active apt repos in: /etc/apt/sources.list.d/lutris-team-lutris-focal.list 
           1: deb http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal main
           Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list 
           1: deb http://mirror.os6.org/linuxmint.com/packages ulyana main upstream import backport
           2: deb http://mirrors.xtom.com/ubuntu focal main restricted universe multiverse
           3: deb http://mirrors.xtom.com/ubuntu focal-updates main restricted universe multiverse
           4: deb http://mirrors.xtom.com/ubuntu focal-backports main restricted universe multiverse
           5: deb http://security.ubuntu.com/ubuntu/ focal-security main restricted universe multiverse
           6: deb http://archive.canonical.com/ubuntu/ focal partner
           No active apt repos in: /etc/apt/sources.list.d/spotify.list 

Code: Select all

apt policy libavcodec-extra
libavcodec-extra:
  Installed: (none)
  Candidate: 7:4.2.4-1ubuntu0.1
  Version table:
     7:4.2.4-1ubuntu0.1 500
        500 http://mirrors.xtom.com/ubuntu focal-updates/universe amd64 Packages
        500 http://security.ubuntu.com/ubuntu focal-security/universe amd64 Packages
     7:4.2.2-1ubuntu1 500
        500 http://mirrors.xtom.com/ubuntu focal/universe amd64 Packages

Code: Select all

apt policy
Package files:
 100 /var/lib/dpkg/status
     release a=now
 500 http://archive.canonical.com/ubuntu focal/partner i386 Packages
     release v=20.04,o=Canonical,a=focal,n=focal,l=Partner archive,c=partner,b=i386
     origin archive.canonical.com
 500 http://archive.canonical.com/ubuntu focal/partner amd64 Packages
     release v=20.04,o=Canonical,a=focal,n=focal,l=Partner archive,c=partner,b=amd64
     origin archive.canonical.com
 500 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 Packages
     release v=20.04,o=Ubuntu,a=focal-security,n=focal,l=Ubuntu,c=multiverse,b=amd64
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu focal-security/universe i386 Packages
     release v=20.04,o=Ubuntu,a=focal-security,n=focal,l=Ubuntu,c=universe,b=i386
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu focal-security/universe amd64 Packages
     release v=20.04,o=Ubuntu,a=focal-security,n=focal,l=Ubuntu,c=universe,b=amd64
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu focal-security/restricted i386 Packages
     release v=20.04,o=Ubuntu,a=focal-security,n=focal,l=Ubuntu,c=restricted,b=i386
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu focal-security/restricted amd64 Packages
     release v=20.04,o=Ubuntu,a=focal-security,n=focal,l=Ubuntu,c=restricted,b=amd64
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu focal-security/main i386 Packages
     release v=20.04,o=Ubuntu,a=focal-security,n=focal,l=Ubuntu,c=main,b=i386
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages
     release v=20.04,o=Ubuntu,a=focal-security,n=focal,l=Ubuntu,c=main,b=amd64
     origin security.ubuntu.com
 100 http://mirrors.xtom.com/ubuntu focal-backports/universe i386 Packages
     release v=20.04,o=Ubuntu,a=focal-backports,n=focal,l=Ubuntu,c=universe,b=i386
     origin mirrors.xtom.com
 100 http://mirrors.xtom.com/ubuntu focal-backports/universe amd64 Packages
     release v=20.04,o=Ubuntu,a=focal-backports,n=focal,l=Ubuntu,c=universe,b=amd64
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal-updates/multiverse i386 Packages
     release v=20.04,o=Ubuntu,a=focal-updates,n=focal,l=Ubuntu,c=multiverse,b=i386
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal-updates/multiverse amd64 Packages
     release v=20.04,o=Ubuntu,a=focal-updates,n=focal,l=Ubuntu,c=multiverse,b=amd64
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal-updates/universe i386 Packages
     release v=20.04,o=Ubuntu,a=focal-updates,n=focal,l=Ubuntu,c=universe,b=i386
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal-updates/universe amd64 Packages
     release v=20.04,o=Ubuntu,a=focal-updates,n=focal,l=Ubuntu,c=universe,b=amd64
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal-updates/restricted i386 Packages
     release v=20.04,o=Ubuntu,a=focal-updates,n=focal,l=Ubuntu,c=restricted,b=i386
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal-updates/restricted amd64 Packages
     release v=20.04,o=Ubuntu,a=focal-updates,n=focal,l=Ubuntu,c=restricted,b=amd64
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal-updates/main i386 Packages
     release v=20.04,o=Ubuntu,a=focal-updates,n=focal,l=Ubuntu,c=main,b=i386
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal-updates/main amd64 Packages
     release v=20.04,o=Ubuntu,a=focal-updates,n=focal,l=Ubuntu,c=main,b=amd64
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal/multiverse i386 Packages
     release v=20.04,o=Ubuntu,a=focal,n=focal,l=Ubuntu,c=multiverse,b=i386
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal/multiverse amd64 Packages
     release v=20.04,o=Ubuntu,a=focal,n=focal,l=Ubuntu,c=multiverse,b=amd64
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal/universe i386 Packages
     release v=20.04,o=Ubuntu,a=focal,n=focal,l=Ubuntu,c=universe,b=i386
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal/universe amd64 Packages
     release v=20.04,o=Ubuntu,a=focal,n=focal,l=Ubuntu,c=universe,b=amd64
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal/restricted i386 Packages
     release v=20.04,o=Ubuntu,a=focal,n=focal,l=Ubuntu,c=restricted,b=i386
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal/restricted amd64 Packages
     release v=20.04,o=Ubuntu,a=focal,n=focal,l=Ubuntu,c=restricted,b=amd64
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal/main i386 Packages
     release v=20.04,o=Ubuntu,a=focal,n=focal,l=Ubuntu,c=main,b=i386
     origin mirrors.xtom.com
 500 http://mirrors.xtom.com/ubuntu focal/main amd64 Packages
     release v=20.04,o=Ubuntu,a=focal,n=focal,l=Ubuntu,c=main,b=amd64
     origin mirrors.xtom.com
 500 http://mirror.os6.org/linuxmint.com/packages ulyana/backport i386 Packages
     release v=20,o=linuxmint,a=ulyana,n=ulyana,l=linuxmint,c=backport,b=i386
     origin mirror.os6.org
 500 http://mirror.os6.org/linuxmint.com/packages ulyana/backport amd64 Packages
     release v=20,o=linuxmint,a=ulyana,n=ulyana,l=linuxmint,c=backport,b=amd64
     origin mirror.os6.org
 500 http://mirror.os6.org/linuxmint.com/packages ulyana/import i386 Packages
     release v=20,o=linuxmint,a=ulyana,n=ulyana,l=linuxmint,c=import,b=i386
     origin mirror.os6.org
 500 http://mirror.os6.org/linuxmint.com/packages ulyana/import amd64 Packages
     release v=20,o=linuxmint,a=ulyana,n=ulyana,l=linuxmint,c=import,b=amd64
     origin mirror.os6.org
 700 http://mirror.os6.org/linuxmint.com/packages ulyana/upstream i386 Packages
     release v=20,o=linuxmint,a=ulyana,n=ulyana,l=linuxmint,c=upstream,b=i386
     origin mirror.os6.org
 700 http://mirror.os6.org/linuxmint.com/packages ulyana/upstream amd64 Packages
     release v=20,o=linuxmint,a=ulyana,n=ulyana,l=linuxmint,c=upstream,b=amd64
     origin mirror.os6.org
 500 http://mirror.os6.org/linuxmint.com/packages ulyana/main i386 Packages
     release v=20,o=linuxmint,a=ulyana,n=ulyana,l=linuxmint,c=main,b=i386
     origin mirror.os6.org
 500 http://mirror.os6.org/linuxmint.com/packages ulyana/main amd64 Packages
     release v=20,o=linuxmint,a=ulyana,n=ulyana,l=linuxmint,c=main,b=amd64
     origin mirror.os6.org
 500 http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal/main i386 Packages
     release v=20.04,o=LP-PPA-lutris-team-lutris,a=focal,n=focal,l=Lutris stable,c=main,b=i386
     origin ppa.launchpad.net
 500 http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal/main amd64 Packages
     release v=20.04,o=LP-PPA-lutris-team-lutris,a=focal,n=focal,l=Lutris stable,c=main,b=amd64
     origin ppa.launchpad.net
Pinned packages:
     snapd -> 2.45.1+20.04.2 with priority -10
     snapd -> 2.44.3+20.04 with priority -10

Re: Error installing package mint-meta-codecs

Posted: Sun Aug 23, 2020 2:56 am
by smurphos
That all looks fine

Try running

Code: Select all

apt install --fix-broken

Re: Error installing package mint-meta-codecs

Posted: Sun Aug 23, 2020 3:11 am
by SweetBearCub

Code: Select all

apt install --fix-broken
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Re-attempting the mint-meta-codecs install after it still produces the same error.

Re: Error installing package mint-meta-codecs

Posted: Sun Aug 23, 2020 3:20 am
by smurphos
How about trying to install the package it's complaining about manually?

Code: Select all

apt update && apt install libavcodec-extra

Re: Error installing package mint-meta-codecs

Posted: Sun Aug 23, 2020 3:25 am
by SweetBearCub
No, I haven't tried to install it manually, but I just did, and no dice.

Code: Select all

sudo apt update && sudo apt install libavcodec-extra
Hit:1 http://mirrors.xtom.com/ubuntu focal InRelease
Hit:2 http://mirrors.xtom.com/ubuntu focal-updates InRelease                                                                                                  
Hit:3 http://mirrors.xtom.com/ubuntu focal-backports InRelease                                                                                                
Ign:4 http://mirror.os6.org/linuxmint.com/packages ulyana InRelease                                                                                           
Hit:5 http://mirror.os6.org/linuxmint.com/packages ulyana Release                                                                                             
Hit:6 http://security.ubuntu.com/ubuntu focal-security InRelease                                                                                              
Hit:7 http://archive.canonical.com/ubuntu focal InRelease                                                                                    
Hit:8 http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal InRelease
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libavcodec-extra : Depends: libavcodec-extra58 (= 7:4.2.4-1ubuntu0.1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Re: Error installing package mint-meta-codecs

Posted: Sun Aug 23, 2020 3:32 am
by smurphos
Try

Code: Select all

sudo dpkg --configure -a

Re: Error installing package mint-meta-codecs

Posted: Sun Aug 23, 2020 3:34 am
by SweetBearCub
That command returned no output at the terminal.

Re: Error installing package mint-meta-codecs

Posted: Sun Aug 23, 2020 3:43 am
by smurphos
Mmm - try opening Synaptic package Manager and see if the fix broken packages option helps (Synaptic > Edit > Fix Broken Packages).

If that's no dice try reverting to the stock mirrors in Software Sources.

Re: Error installing package mint-meta-codecs

Posted: Sun Aug 23, 2020 4:13 am
by SweetBearCub
Restored defaults in Software Sources, same original install error on mint-meta-codecs.

Other software comes along fine, and I haven't done anything odd. I chose some faster mirrors as part of the Update Manager setup, and most software I've installed has been from the Software Center.

Thank you for trying to help.